v18_state_s Struct Reference

## Public Attributes

int | calling_party
| TRUE if we are the calling modem.
int | mode
put_msg_func_t | put_msg
void * | user_data
union { |
queue_state_t queue |
uint8_t buf [QUEUE_STATE_T_SIZE(128)] |
} | queue
tone_gen_descriptor_t | alert_tone_desc
tone_gen_state_t | alert_tone_gen
fsk_tx_state_t | fsktx
dtmf_tx_state_t | dtmftx
async_tx_state_t | asynctx
int | baudot_tx_shift
int | tx_signal_on
int | byte_no
fsk_rx_state_t | fskrx
dtmf_rx_state_t | dtmfrx
int | baudot_rx_shift
int | consecutive_ones
uint8_t | rx_msg [256+1]
int | rx_msg_len
int | bit_pos
int | in_progress
logging_state_t | logging
| Error and flow logging control.

The documentation for this struct was generated from the following file:

- private/v18.h